package com.thebrokenrail.sorcerycraft.spell;

import com.thebrokenrail.sorcerycraft.spell.registry.Spell;
import net.minecraft.entity.Entity;
import net.minecraft.entity.LivingEntity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Items;
import net.minecraft.util.Identifier;

public class DissolveSpell extends Spell {
    public DissolveSpell(Identifier id, int level) {
        super(id, level);
    }

    @Override
    public void execute(Entity target, Entity source, Entity attacker) {
        if (target instanceof LivingEntity) {
            ((LivingEntity) target).clearStatusEffects();
        }
    }

    @Override
    public int getXPCost() {
        return 12;
    }

    @Override
    public ItemStack getItemCost() {
        return new ItemStack(Items.CLOCK);
    }

    @Override
    public int getMaxLevel() {
        return 1;
    }
}
